<?php
#------------------------------------------------------#
#               本程序为zChain.net提供                 #
#                zChain论坛(ZBB)v2.00                  #
#------------------------------------------------------#

require_once('bin/config.php');
require_once('bin/common.php');

require_once('core/class_forum_base.php');
CForumBase::setFileBase("$filepath");
require_once('core/base_array_file.php');
require_once('core/class_news.php');

#--- Generate affiche page ---
page_header('公告栏',"$imgurl/bei.gif");
print "<CENTER>";
$posText=getRootText()." >> 公告栏";
menu_bar($posText,'');

print <<<EOT
<br>
<table border="0" width="90%">
<tr><td align="right">
 <table border="0" cellspacing="1" cellpadding="2">
 <tr>
 <td class=rowPic width=80 align=center><a href=affichemgr.php>管理公告</a></td>
 </tr>
 </table>
</td></tr>
</table>
EOT;

$oNws=new CNews;
$flag=$oNws->load();
while($flag){
 print <<<EOT
<table border=0 width=90% cellspacing=1 cellpadding=3 class="forumLine">
<tr><td align=center class="rowCaption">$oNws->title</td></tr>
<tr><td class="row2">$oNws->body</td></tr>
<tr><td class="row2" align=right>发布人 {$oNws->user}　发布时间 $oNws->time</td></tr>
</table>
<BR>
EOT;
 $flag=$oNws->moveNext();
}

print "<br><a href=javascript:history.back();><IMG src=$imgurl/back.gif border=0></a></CENTER>";

page_footer();

?>
